# Grafana

## Install

<https://grafana.com/docs/grafana/latest/setup-grafana/installation/docker/>

Generate the quadlet:

```bash
podman run ghcr.io/containers/podlet --description Grafana \
podman run \
-p 3000:3000 \
--name=grafana \
--volume grafana-storage:/var/lib/grafana \
--network=systemd-graphite \
grafana/grafana-enterprise > active/podman_grafana/grafana.container
```

Copy the graphite.container and graphite.network file to the server you want to run it on

```bash
export PODMAN_SERVER=
scp active/podman_grafana/grafana.container $PODMAN_SERVER:/etc/containers/systemd/

ssh $PODMAN_SERVER systemctl daemon-reload
ssh $PODMAN_SERVER systemctl enable --now grafana.service
```
